=== debian/changelog ===
kmess (2.0.3-2) unstable; urgency=low

  [ Pino Toscano ] 
  * Add cmake as build dependency, as it is no more provided by kdelibs5-dev.
    (Closes: #582198)

 -- Mark Purcell <msp@debian.org>  Fri, 21 May 2010 16:56:06 +1000

kmess (2.0.3-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add patches:
    - 01_no_debugfull_build.diff
      default build should not bet set to debugfull
    - 02_no_desktop_encoding_key.diff
      remove deprecated encoding key from desktop file
    - 03_comments_cleanup.diff
      fix comments related to Debian package names
  * Drop 01_dont-build-depend-on-libqca2-plugin-ossl.diff - not needed anymore.
  * Cleanup build dependencies:
    - Remove libqca2-dev, libphonon-dev, libqt4-phonon-dev and patchutils.
    - Add libgcrypt11-dev.
  * Bump to Standars-Version 3.8.4 (no changes needed).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 24 Mar 2010 13:11:52 +0100

kmess (2.0.2-1) unstable; urgency=low

  * New upstream release 
    - Fixes friendly names (LP: #485640)
  * Update Homepage: http://kmess.org
  * Add Build-Depends: libphonon-dev | libqt4-phonon-dev (ubuntu friendly)
  * kmess.1 fix lintian:hyphen-used-as-minus-sign

 -- Mark Purcell <msp@debian.org>  Sat, 05 Dec 2009 21:19:26 +1100

kmess (2.0-3) unstable; urgency=low

  +++ Changes by José Manuel Santamaría Lema:

  * Fix FTBFS with binutils-gold. (Closes: #555020)
  * Added 12_rev5667_fixed_likeback_icons_install_condition.diff - without this
    patch the package will not install some icons, specifically those clearly
    visible in the right upper corner of the main window.
  * Bump to Standars-Version 3.8.3, no changes needed.
  * Don't refer to symlinks for text licenses in debian/copyright

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 09 Nov 2009 00:04:39 +0100

kmess (2.0-2) unstable; urgency=low

  * Update debian/watch to handle rc/beta & alpha upstream 
  * Include upstream rev5532 - Work around KDE bug #209960 that caused a
    crash when closing the account settings dialog.  (Closes: #551061)

 -- Mark Purcell <msp@debian.org>  Tue, 20 Oct 2009 19:11:36 +1100

kmess (2.0-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Wed, 02 Sep 2009 07:40:00 +1000

kmess (2.0~beta2-1) unstable; urgency=low

  * New upstream release 
    - Fixes "the '">' characters appears" (Closes: #530358)
  * Add Build-Depends: libgif-dev

 -- Mark Purcell <msp@debian.org>  Tue, 26 May 2009 22:58:41 +1000

kmess (2.0~beta1-2) unstable; urgency=low

  * Add Build-Depends: debhelper >=7

  +++ Changes by George Kiagiadakis:

  * Fix FTBFS (Closes: #524085)
    - Add patch 01_dont-build-depend-on-libqca2-plugin-ossl.diff.
    - Depend on libqca2-plugin-ossl.
    - Build-depend on libxss-dev.

 -- Mark Purcell <msp@debian.org>  Thu, 23 Apr 2009 09:19:48 +1000

kmess (2.0~beta1-1) unstable; urgency=low

  * New upstream release
    - Closes: #516284, #515663, #449797, #460746
  * Update Build-Depends: kdelibs5-dev (KDE4 release)
  * Update Standards Version 3.8.1. Add Homepage: Vcs: headers
  * Build Depends: libkonq5-dev - context menu integration with Konqueror
  * Update other Build-Depends:
  * Update debian/compat -> 7
  * Add ${misc:Depends}
  * kmess.menu section -> Applications/Network/Communication

 -- Mark Purcell <msp@debian.org>  Sun, 12 Apr 2009 13:58:31 +1000

kmess (1.5~pre2-1) experimental; urgency=low

  * New upstream release
    - Release highlights:
       - added support for now playing information
       - added file transfer previews
       - fixed critical bugs with the direct file transfer
       - fixed clickable links in the chat window
       - fixed problems with emoticon styles
       - fixed problems with the installation
       - updated many translations
    - Upload pre releases to experimental
  * Update debian/watch
  * Maintainer: Debian KDE Extras Team
    - Thanks to Mario Iseli for his work todate and welcome to the team!

 -- Mark Purcell <msp@debian.org>  Wed, 04 Jul 2007 07:31:05 +0100

kmess (1.4.3-2) unstable; urgency=low

  * Saven kmess.desktop as UTF-8 File. (Closes: #368844)

 -- Mario Iseli <admin@marioiseli.com>  Sun,  4 Jun 2006 20:55:23 +0200

kmess (1.4.3-1) unstable; urgency=low

  * New upstream release
  * Removed ballonbase.patch, it's fixed in the new upstream.

 -- Mario Iseli <admin@marioiseli.com>  Sat, 20 May 2006 14:39:09 +0200

kmess (1.4.2-2) unstable; urgency=medium

  * Added a patch (debian/patches/01_ballonbase.patch) to fix
    building. (Closes: #357764)

 -- Mario Iseli <admin@marioiseli.com>  Tue, 21 Mar 2006 17:59:11 +0100

kmess (1.4.2-1) unstable; urgency=low

  * Initial release Closes: #339571
  * wrote a manpage

 -- Mario Iseli <admin@marioiseli.com>  Mon, 21 Nov 2005 19:07:16 +0100
