=== debian/control ===
Source: kmess
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mario Iseli <admin@marioiseli.com>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7), automoc, pkg-kde-tools (>= 0.6.4), cmake,
 kdelibs5-dev, libgcrypt11-dev, libgif-dev, libkonq5-dev, libxml2-dev,
 libxslt1-dev, libxss-dev, zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://kmess.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmess/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmess/trunk/

Package: kmess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
Suggests: konqueror
Description: MSN messenger for KDE
 An alternative MSN Messenger chat client for Linux. It allows Linux users
 to chat with friends who use MSN Messenger in Windows or Mac OS. The
 strength of KMess is it's integration with the KDE desktop environment,
 focus on MSN Messenger specific features and an easy-to-use interface.
