## kmess 2.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,7 @@
   "  \n"
   "  You will need this package and the matching development package.\n"
   "  Usually the package names for this library are:\n"
-  "    on Debian:   'kdebase-runtime' and 'kdelibs4-dev'\n"
-  "    on Ubuntu:   'kdebase-runtime' and 'kdelibs5-dev'\n"
+  "    on Debian and Ubuntu:   'kdebase-runtime' and 'kdelibs5-dev'\n"
   "    on openSUSE: 'kdebase4-runtime' and 'libkde4-devel'\n"
   "  \n"
   "  Please refer to the KMess board for more info,\n"
@@ -49,7 +48,7 @@
 MACRO_LOG_FEATURE( LIBXSLT_FOUND "LibXSLT" "A library to transform XML into other formats" "http://www.xmlsoft.org/XSLT" TRUE ""
     "Required for the chat styles system.
       * Usually the package names for this library are:
-        on Debian and Ubuntu: 'libxslt' and 'libxslt-dev'
+        on Debian and Ubuntu: 'libxslt' and 'libxslt1-dev'
         on openSUSE:         'libxslt' and 'libxslt-devel'
       * Please refer to the KMess board for more info,
         and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )
@@ -63,7 +62,7 @@
   MACRO_LOG_FEATURE( GCRYPT_FOUND "GCrypt" "A library to encrypt messages with various cyphers" "http://www.gnupg.org/" TRUE ""
     "It is required for the Live Messenger login process.
       * Usually the package names for this library are:
-        on Debian and Ubuntu: 'libgcrypt' and 'libgcrypt-dev'
+        on Debian and Ubuntu: 'libgcrypt' and 'libgcrypt11-dev'
         on openSUSE:          'libgcrypt' and 'libgcrypt-devel'
         on Fedora:            'gcrypt' and 'gcrypt-devel'
       * Please refer to the KMess board for more info,
@@ -109,6 +108,18 @@
      In absence of an installed isf-qt version, the bundled version will be compiled.")
 MACRO_BOOL_TO_01( ISFQT_FOUND HAVE_LIBISFQT ) # For config-kmess.h.in
 
+# Check for KNotificationItem. KDE 4.3.1 and later have it integrated in kdelibs/experimental.
+# It will be available by default in 4.4.
+IF( ${KDE_VERSION} VERSION_LESS 4.3.70 ) # KDE trunk has a higher version number than this.
+  MACRO_OPTIONAL_FIND_PACKAGE(LibKNotificationItem-1)
+  MACRO_LOG_FEATURE( LIBKNOTIFICATIONITEM-1_FOUND "LibKNotificationItem-1" "The experimental new KDE systray library" "http://www.kde.org" FALSE ""
+    "LibKNotificationItem-1 is the experimental new KDE systray library. It will be included
+     by default in KDE 4.4 and is available for use in KDE 4.3.1 and above." )
+  MACRO_BOOL_TO_01( LIBKNOTIFICATIONITEM-1_FOUND HAVE_NEW_TRAY )
+ELSE()
+  SET( HAVE_NEW_TRAY 1 )
+ENDIF()
+
 # Display the dependency collection results
 MACRO_DISPLAY_FEATURE_LOG()
 
@@ -138,8 +149,8 @@
 #### Define the app version number ####
 
 # Switch between the following two commands to force using a predefined version number
-# EXECUTE_PROCESS( COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/cmake/get-svn-version.sh OUTPUT_VARIABLE KMESS_VERSION )
-SET( KMESS_VERSION "2.0.3" )
+# EXECUTE_PROCESS( COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/cmake/get-git-version.sh OUTPUT_VARIABLE KMESS_VERSION )
+SET( KMESS_VERSION "2.0.4" )
 
 
 #### Define compiler flags ####
@@ -167,7 +178,7 @@
 # - relwithdebinfo  (release with debug info)
 # - minsizerel      (minsize release)
 # Uncomment the next line to always force building in full debug mode
-SET( CMAKE_BUILD_TYPE debugfull )
+# SET( CMAKE_BUILD_TYPE debugfull )
 
 # Enable the KMess debug output when compiling a debug build
 IF( CMAKE_BUILD_TYPE STREQUAL debugfull OR KMESS_DEBUG_OUTPUT EQUAL 1 )
