=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,6 @@
    notification/contactstatusnotification.cpp
    notification/notificationmanager.cpp
    notification/newemailnotification.cpp
-   notification/systemtraywidget.cpp
    settings/accountpage.cpp
    settings/accountsettingsdialog.cpp
    settings/accountsmanagerpage.cpp
@@ -181,6 +180,22 @@
        utils/likeback/likebackdialog.ui )
 ENDIF( NOT ${KMESS_DISABLE_LIKEBACK} EQUAL 1 )
 
+# On Mac OS, add Mac-specific files
+if(APPLE)
+  set(kmess_SOURCES ${kmess_SOURCES}  notification/macnotification.cpp)
+endif(APPLE)
+
+#new system tray spec - optional
+IF( HAVE_NEW_TRAY )
+  SET( kmess_SOURCES ${kmess_SOURCES}
+       notification/newsystemtraywidget.cpp )
+  INCLUDE_DIRECTORIES( ${KNOTIFICATIONITEM_INCLUDE_DIR} )
+  SET( kmess_LIBS ${kmess_LIBS} ${KNOTIFICATIONITEM_LIBRARIES} )
+ELSE()
+  SET( kmess_SOURCES ${kmess_SOURCES}
+       notification/systemtraywidget.cpp )
+ENDIF()
+
 # If we're compiling in debug mode:
 IF( ${KMESS_ENABLE_DEBUG_OUTPUT} EQUAL 1 )
   # Enable the Network Window
@@ -198,14 +213,16 @@
 
 # Add XScreensaver library for away-idle detection.
 IF( X11_Xscreensaver_FOUND )
-  SET(kmess_LIBS    ${kmess_LIBS} ${X11_Xscreensaver_LIB} ${X11_X11_LIB})
+  SET(kmess_LIBS    ${kmess_LIBS} ${X11_Xscreensaver_LIB} ${X11_LIBRARIES} )
 ENDIF( X11_Xscreensaver_FOUND )
 
 # Set our new shiny KDE debug number to be the default
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=5130 )
 
 # Define the app icon for Windows / Mac OS
-KDE4_ADD_APP_ICON( kmess_SOURCES ../data/icons/hi*-app-kmess.png )
+SET( kmess_SRCS )
+KDE4_ADD_APP_ICON( kmess_SRCS ../data/icons/hi*-app-kmess.png )
+SET( kmess_SOURCES ${kmess_SOURCES} ${kmess_SRCS} )
 
 # Create a DBus adapter from XML file
 QT4_ADD_DBUS_ADAPTOR( kmess_SOURCES utils/kmessdbus.xml utils/kmessdbus.h KMessDBus )
