=== data/chatstyles/Pure/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### install files ###############

set(kmess_pure_FILES
   Pure.css
   Pure.xsl
   arrow0.png
   arrow1.png
   clock.png
   contact.png
   corner-bl.png
   corner-br.png
   corner-tl.png
   corner-tr.png
   important.png
   myself.png
   system.png
)

install( FILES  ${kmess_pure_FILES} DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/Pure/ )
