=== src/utils/kmess-send/CMakeLists.txt ===
########### kmess send plugin ###############

SET( kmesssendplugin_SOURCES
   kmesssendplugin.cpp
   kmesssendmenuitem.cpp
)

ADD_DEFINITIONS(-fPIC)

ADD_LIBRARY( kmesssendpluginlib
   ../kmessdbusdatatypes.cpp
   ../../contact/msnstatus.cpp
)


ADD_DEPENDENCIES( kmesssendpluginlib kmess )

KDE4_ADD_PLUGIN( kmesssendplugin WITH_PREFIX ${kmesssendplugin_SOURCES} )
ADD_DEPENDENCIES( kmesssendplugin kmesssendpluginlib kmess )

TARGET_LINK_LIBRARIES( kmesssendplugin kmesssendpluginlib konq ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} )

INSTALL( TARGETS kmesssendplugin DESTINATION ${PLUGIN_INSTALL_DIR} )

########## install files ###############

INSTALL( FILES kmesssendplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
