=== debian/changelog ===
kmess (2.0.4-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Refresh 01_no_debugfull_build.diff
    - Drop 02_no_desktop_encoding_key.diff fixed by upstream
    - Drop 03_comments_cleanup.diff fixed by upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 03:00:13 +0200
