=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kmess
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mario Iseli <admin@marioiseli.com>, Mark Purcell <msp@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), automoc, pkg-kde-tools (>= 0.6.4), cmake,
  kdelibs5-dev, libgcrypt11-dev, libgif-dev, libkonq5-dev, libxml2-dev,
